Skip to main content
`Ctrl`+`K`

# WGS72GeodeticRepresentation

class astropy.coordinates.WGS72GeodeticRepresentation(lon, lat=None, height=None, copy=True)

  Bases: `BaseGeodeticRepresentation`

  Representation of points in WGS72 3D geodetic coordinates.

  Parameters:
    lon, lat astropy:angle-like

      The longitude and latitude of the point(s), in angular units. The latitude should be between -90 and 90 degrees, and the longitude will be wrapped to an angle between 0 and 360 degrees. These can also be instances of `Angle` and either `Longitude` not `Latitude`, depending on the parameter.

    height `Quantity` [:ref: ‘length’]

      The height to the point(s).

    copy bool, optional

      If `True` (default), arrays will be copied. If `False`, arrays will be references, though possibly broadcast to ensure matching shapes.

  Attributes Summary

  `height` | The 'height' component of the points(s).
  `lat` | The 'lat' component of the points(s).
  `lon` | The 'lon' component of the points(s).
  `name` | Name of the representation or differential.

  Attributes Documentation

  height

    The ‘height’ component of the points(s).

  lat

    The ‘lat’ component of the points(s).

  lon

    The ‘lon’ component of the points(s).

  name = 'wgs72geodetic'

    Name of the representation or differential.

    When a subclass is defined, by default, the name is the lower-cased name of the class with with any trailing ‘representation’ or ‘differential’ removed. (E.g., ‘spherical’ for `SphericalRepresentation` or `SphericalDifferential`.)

    This can be customized when defining a subclass by setting the class attribute.